%global short_name commons-digester

Name:          apache-%{short_name}
Version:       2.1
Release:       %mkrel 13
Group:         Development/Java
Summary:       XML to Java object mapping module
License:       ASL 2.0
URL:           https://commons.apache.org/digester/
BuildArch:     noarch

Source0:       https://archive.apache.org/dist/commons/digester/source/%{short_name}-%{version}-src.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(commons-beanutils:commons-beanutils)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)

%description
Many projects read XML configuration files to provide initialization of
various Java objects within the system. There are several ways of doing this,
and the Digester component was designed to provide a common implementation
that can be used in many different projects

%package javadoc
Summary:       API documentation for %{name}

%description javadoc
This package contains the %{summary}.

%prep
%setup -q -n %{short_name}-%{version}-src

# Compatibility links
%mvn_alias "%{short_name}:%{short_name}" "org.apache.commons:%{short_name}"
%mvn_file :%{short_name} %{short_name} %{name}

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 2.1-13.mga9
+ Revision: 1827515
- Mageia 9 Mass Rebuild

* Mon Aug 24 2020 neoclust <neoclust> 2.1-12.mga8
+ Revision: 1618374
- Rebuild against java11

* Tue Feb 11 2020 umeabot <umeabot> 2.1-11.mga8
+ Revision: 1489278
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.1-10.mga7
+ Revision: 1259530
- Mageia 7 Mass Rebuild

* Sun May 14 2017 neoclust <neoclust> 2.1-9.mga6
+ Revision: 1101217
- Regenerate build-requires

* Wed Mar 02 2016 neoclust <neoclust> 2.1-8.mga6
+ Revision: 982201
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 2.1-7.mga6
+ Revision: 975438
- First rebuild of the java stack
- First rebuild of the java stack
- sync package apache-commons-digester with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1-4.mga5
+ Revision: 741262
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-3.mga5
+ Revision: 677801
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 2.1-1.mga4
+ Revision: 488991
- New version

* Sun Jul 14 2013 dmorgan <dmorgan> 1.8.1-14.mga4
+ Revision: 453991
- Replace maven BuildRequires with maven-local

* Fri Jan 11 2013 umeabot <umeabot> 1.8.1-13.mga3
+ Revision: 345702
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 dmorgan <dmorgan> 1.8.1-12.mga3
+ Revision: 336190
- Build with maven3

* Thu Jul 28 2011 dmorgan <dmorgan> 1.8.1-11.mga2
+ Revision: 130014
- Clean spec file
+ gil <gil>
- add rss sub package

* Wed Apr 27 2011 dmorgan <dmorgan> 1.8.1-9.mga1
+ Revision: 92231
- Rebuild after bootstrapping
- imported package apache-commons-digester

